"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkit/build/temp.win-amd64-cpython-310/Release/rdkit_install\\share/RDKit\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250B1BD90>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250B1BE20>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250B1BEB0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250B1BF40>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C44040>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C440D0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C44160>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C441F0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C44280>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C44310>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C443A0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C44430>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C444C0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C44550>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C445E0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C44670>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C44700>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C44790>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C44820>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C448B0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C44940>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C449D0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C44A60>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C44AF0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C44C10>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C44B80>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C44CA0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C44D30>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C44DC0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C44E50>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C44EE0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C44F70>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C45000>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C45090>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C45120>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C451B0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C45240>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C452D0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C45360>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C453F0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C45480>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C45510>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C455A0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C45630>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C456C0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C45750>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C457E0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C45870>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C45900>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C45990>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C45A20>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C45AB0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C45B40>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C45BD0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C45C60>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C45CF0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C45D80>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C45E10>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C45EA0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C45F30>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C45FC0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C46050>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C460E0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C46170>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C46200>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C463B0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C46290>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C46440>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C464D0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C46560>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C465F0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C46680>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C467A0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C46710>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C46830>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C468C0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C46950>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C46A70>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C469E0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C46B00>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C46B90>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C46C20>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C46CB0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C46D40>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x0000017250C46DD0>)]
name: str = 'fr_HOCCN'
